ArcGIS Setup Help

This help file provides help for the Setup programs for installing various ArcGIS products by Esri

The topics in this help file can only be accessed via the help controls in the Setup program you are using.

For more information about ArcGIS, see our website: http://www.esri.com

For technical support with ArcGIS, see our support site: http://support.esri.com


ArcGIS Web Applications Manager instance summary

Confirm the information in the ArcGIS Web Applications Manager instance summary is correct. Click Next to proceed or Back to edit.


Welcome to the AddInstance tool

 AddInstance tool options

The AddInstance tool has two options:

  1. "Create a new instance" option will create a new instance on your local IIS Web server.

  2. "Remove an existing instance" option will remove an existing instance from your machine. The base instance (the instance created during the installation of ArcGIS Web Applications 10.3 for the Microsoft .NET Framework) cannot be removed with this option. Uninstall ArcGIS Web Applications 10.3 for the Microsoft .NET Framework to remove the base instance.


ArcGIS Server instance update summary

Confirm the information in the ArcGIS Server instance update summary is correct. Click Next to proceed with the instance update or Back to modify the instance update settings.


Select an instance to remove

Select an ArcGIS Web Applications Manager instance to remove

Select an ArcGIS Web Applications Manager instance to remove. The ArGIS Web Applications Manager instance created by the initial ArcGIS Web Applications 10.3 for the Microsoft .NET Framework setup program cannot be removed by the AddInstance tool. Remove the base instance by going to Add/Remove Programs and modifying the ArcGIS Web Applications 10.3 for the Microsoft .NET Framework setup.


ArcGIS Web Applications Manager instance removal summary

ArcGIS Web Applications instance removal summary

Confirm the information in the ArcGIS Web Applications Manager instance removal summary is correct. Click Next to proceed with the instance removal or Back to select a different instance.


Browse to setup source files

Setup sources files are required to create an instance. Browse to the ArcGIS Web Applications 10.3 for the Microsoft .NET Framework setup msi file, found on the ArcGIS Web Applications 10.3 for the Microsoft .NET Framework media (or shared network folder containing the setup source files).


Applications Manager

The Applications Manager feature allows you to create Web Mapping Applications. The feature requires Internet Information Services (IIS) to be installed. If IIS is not installed, the Applications Manager feature will not be available for installation.

Installing IIS on Windows XP and Windows Server 2003

Specific IIS components are required for IIS 7.0 and 7.5. Operating systems with IIS 7.0/7.5 are Microsoft Windows Vista, Windows Server 2008, Windows Server 2008 R2, and Windows 7.

Windows Vista and Windows 7 IIS requirements

Windows Server 2008 (including R2) IIS requirements

The following IIS components must be installed when performing an installation on Windows Vista and Windows 7. If these components are not installed, the Applications Manager feature will not be available for installation.

Internet Information Services

  • Web Management Tools
    • IIS 6 Management Compatibility
      • IIS Metabase and IIS 6 configuration compatibility
    • IIS Management Console
    • IIS Management Scripts and Tools
    • IIS Management Service
  • World Wide Web Services
    • Application Development Features
      • .NET Extensibility
      • ASP.NET
      • ISAPI Extensions
      • ISAPI Filters
    • Common HTTP Features
      • Static Content
    • Security
      • Basic Authentication
      • Request Filtering
      • Windows Authentication
The following Web Server (IIS) components must be installed when performing an installation on Windows Server 2008 and Windows Server 2008 R2. If these components are not installed, the Applications Manager will not be available for installation.

Web Server (IIS)

  • Web Server
    • Common HTTP Features
      • Static Content
    • Application Development
      • ASP.NET
      • .NET Extensibility
      • ISAPI Extensions
      • ISAPI Filters
    • Security
      • Basic Authentication
      • Windows Authentication
      • Request Filtering
  • Management Tools
    • IIS Management Console
    • IIS Management Scripts and Tools
    • Management Service
    • IIS 6 Management Compatibility
      • IIS 6 Metabase Compatibility

Installing IIS on Windows XP and Windows Server 2003

Windows Server 2003: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Application Server component -> Next.

Windows XP: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Internet Information Services (IIS) component -> Next.


Select the installation type

You have two installation options:

· Anyone who uses this computer - This installation option requires administrative privileges. With this option, ArcGIS Explorer Desktop only needs to be installed once and then anyone who uses this computer will be able to run ArcGIS Explorer Desktop. Additionally, no other users will be able to install the application.

· Only for me <user name>- Administrative privileges are not required to install ArcGIS Explorer Desktop for an individual user. The user installing ArcGIS Explorer Desktop will be the only one that can run the application. Other users will have to install ArcGIS Explorer Desktop from their respective user accounts. With this option, each user will have to install ArcGIS Explorer Desktop.


ArcGIS Explorer Desktop destination folder

Destination folder

ArcGIS Explorer Desktop can be installed with other Esri products on your machine, regardless of the product version. The default installation directory is C:\Program Files\Explorer. The installation provides the opportunity to browse to an installation location of your choice.


ArcGIS Explorer Desktop destination folder

Destination folder

The default installation directory is C:\<user's documents and settings folder>\Explorer. The installation provides the opportunity to browse to an installation location of your choice. If you attempt to install to a directory beyond your user account privileges, the installation may result in an error. If this occurs, launch the setup again and choose an installation directory within your user account privileges.


Authorize Database Server

Database Server requires an authorization file for use. Each machine installing Database Server will require a unique authorization file. Database Server must be registered for every new geodatabase.

This post installation option can be used to obtain an authorization file and register Database Server for use. This post installation option can also be used to register Database Server for use using the authorization file you received from Customer Service.

For additional information on obtaining an authorization file, see the Install Guide.


Desktop destination folder

Destination folder

ArcGIS 10.3 products install into their own product folder structure. For example, if you install ArcGIS 10.3 for Desktop and ArcGIS 10.3 Engine, the respective installation folders will be (default locations) C:\Program Files\Arcgis\Desktop10.3 and C:\Program Files\Arcgis\Engine10.3.


Desktop destination folder

Destination folder

An upgrade of 10.1, 10.2, 10.2.1 or 10.2.2 will not allow you to select or change the installation location. The installation parent location for an upgrade installation is retained and the software is installed to {parent folder}\{Argis Product}10.3. For example, if ArcGIS 10.2 for Desktop was installed to D:\MyGIS\ArcGIS\Desktop10.2, the 10.3 installation folder will be D:\MyGIS\ArcGIS\Desktop10.3. If you need to install to a different location , manually remove 10.1, 10.2, 10.2.1 or 10.2.2 before starting the 10.3 installation.

For more information, refer to the Installation Guide for your ArcGIS product.


Installing Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0

Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0 are required to support certain core Geoprocessing tools. It is recommended that Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0 be installed by this ArcGIS setup. Users can choose not to install Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0 by selecting a Custom installation and unselecting the Python feature.

If Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0 are installed by an ArcGIS setup, the last ArcGIS product uninstalled will also uninstall Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0.


Installing the License Manager

The software products you purchase can be shared between many machines, providing more flexibility.

A floating license manager allows copies of the software to be installed on numerous machines. The license manager, installed on your network, keeps track of the number of copies of the software that can be run simultaneously. The same license manager can be used for other Esri floating software products such as ArcInfo Workstation.

You have three license manager installation options.

· Install the License Manager - Select this option to start the license manager installation.

· Browse for a License Manager on the Network - Select this option if you will be using an existing license manager on the network. This option requires a license manager to have been previously set up on a computer on your network server.

· Setup the License Manager later - Select this option to skip the license manager installation at this time and proceed with the ArcGIS installation. Before you can use the ArcGIS software, you will need to either install the license manager on your machine or point to an existing license manager on the network. Use the Desktop Administrator to specify the name of the machine where your license manager is located. If only ArcInfo Workstation has been installed, the Desktop Administrator tool will not be available.

When you purchase floating software products from Esri, you will receive a license file to use to setup your license manager. This file will contain the licenses to unlock the software products you are licensed to use.


Selecting Features for Installation

Selecting ArcGIS Features for Installation

You have a series of choices to make when performing a custom installation. You can select and view the properties of each feature as well as turn features on or off for installation. A software feature is a logical collection of functionality you can choose to install.

Many features are a collection of sub-features. Features consisting of sub-features will have a + or a - sign to their left. The + sign will expand the feature so that you can view its collection of sub-features. The - sign will collapse the list of sub-features.

To view sub-features and their feature description:

1. To expand the feature and view its sub-features, click the + sign to the left of the feature name.

2. Highlight the feature or the sub-feature to view its feature description.

To turn a feature on for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select your installation option. You have two installation options:

a. Will be installed on local hard drive. Choose this option if you would like to install specific sub-features.

b. Entire feature will be installed in local hard drive. Choose this option if you would like to install a main feature and all of its sub-features.

To turn a feature off for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select the following installation option:

Entire feature will be unavailable. Choose this option if you want to turn this feature off for installation.


Selecting your Installation Type

You have three installation options:

· Install ArcGIS for individual use - Use this option to install the ArcGIS software on your local machine. With this installation type you will need to install the license manager on your machine or point to an existing license manager on the network.

· Install ArcGIS on a network - System administrators should use this option to set up the ArcGIS installation and make it available to other users. You will need to install the license manager on this machine prior to setting up the ArcGIS installation or point to an existing license manager on the network. This installation type copies the ArcGIS files onto a network server. With the network install, the software is not installed and cannot be run on the network server. To install the ArcGIS Desktop on individual computers from the network server, users will need to run the client setup program (SetupArcGIS.exe) from the network server.

· Install License Manager - A floating license manager allows copies of the software to be installed on numerous machines that point to a common (central) license manager. The license manager, installed on your network, keeps track of the number of copies of the software that can be run simultaneously. The same license manager can be used for other Esri floating software products such as ArcInfo Workstation. The software products that you purchase can be shared between many machines, providing more flexibility.


DotNET_SDK_selecting_arcgis_features_for_installation

Supported Visual Studio Editions

Supported Visual Studio 2010 editions are Professional, Premium, Ultimate, Test Professional, Visual Basic Express, and Visual C# Express.

Selecting ArcGIS Features for Installation

You have a series of choices to make when performing a custom installation. You can select and view the properties of each feature as well as turn features on or off for installation. A software feature is a logical collection of functionality you can choose to install.

Many features are a collection of sub-features. Features consisting of sub-features will have a + or a - sign to their left. The + sign will expand the feature so that you can view its collection of sub-features. The - sign will collapse the list of sub-features.

To view sub-features and their feature description:

1. To expand the feature and view its sub-features, click the + sign to the left of the feature name.

2. Highlight the feature or the sub-feature to view its feature description.

To turn a feature on for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select your installation option. You have two installation options:

a. Will be installed on local hard drive. Choose this option if you would like to install specific sub-features.

b. Entire feature will be installed in local hard drive. Choose this option if you would like to install a main feature and all of its sub-features.


Selecting Features for Installation

Supported Visual Studio Editions

Supported Visual Studio 2008 editions are Visual Studio 2008 Standard, Professional, Visual Basic 2008 Express, Visual C# 2008 Express. Service Pack 1 for Visual Studio 2008 is required.

Supported Visual Studio 2010 editions are Professional, Premium, Ultimate, Test Professional, Visual Basic 2010 Express, Visual C# 2010 Express. Service Pack 1 for Visual Studio 2010 is optional.

Selecting features for installation

You have a series of choices to make when performing a custom installation. You can select and view properties of each feature as well as turn features on or off for installation. A software feature is a logical collection of functionality you can choose to install. A feature may consist of a collection of sub-features.

Many features are a collection of sub-features. Features consisting of sub-features will have a + or a - sign to their left. The + sign will expand the feature so that you can view its collection of sub-features. The - sign will collapse the list of sub-features.

To view sub-features and their feature description:

1. To expand the feature and view its sub-features, click the + sign to the left of the feature name.

2. Highlight the feature or the sub-feature to view its feature description.

To turn a feature on for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select your installation option. Depending on what you are installing, you will have up to four installation options:

a. Will be installed on local hard drive. Choose this option if you would like to install specific sub-features.

b. Entire feature will be installed in local hard drive. Choose this option if you would like to install a main feature and all of its sub-features.

c. Will be installed to run from network. Choose this option if you would like to run specific sub-features on your machine over the network. The software selected will not be installed on your machine. This option will reduce the amount of disk space required.

d. Entire feature will be installed to run from network. Choose this option if you would like to run a main feature and all its sub-features on your machine over the network. The software selected will not be installed on your machine. This option will reduce the amount of disk space required.

To turn a feature off for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select the following installation option:

Entire feature will be unavailable. Choose this option if you want to turn this feature off for installation.

Installation location

ArcGIS Explorer Desktop Software Developer Kit for the Microsoft .NET Framework will install to the ArcGIS Explorer Desktop installation directory. You do not have the option to browse to a different installation location.


Selecting features for installation

You have a series of choices to make when performing a custom installation. You can select and view properties of each feature as well as turn features on or off for installation. A software feature is a logical collection of functionality you can choose to install. A feature may consist of a collection of sub-features.

Many features are a collection of sub-features. Features consisting of sub-features will have a + or a - sign to their left. The + sign will expand the feature so that you can view its collection of sub-features. The - sign will collapse the list of sub-features.

To view sub-features and their feature description:

1. To expand the feature and view its sub-features, click the + sign to the left of the feature name.

2. Highlight the feature or the sub-feature to view its feature description.

To turn a feature on for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select your installation option. Depending on what you are installing, you will have up to four installation options:

a. Will be installed on local hard drive. Choose this option if you would like to install specific sub-features.

b. Entire feature will be installed in local hard drive. Choose this option if you would like to install a main feature and all of its sub-features.

c. Will be installed to run from network. Choose this option if you would like to run specific sub-features on your machine over the network. The software selected will not be installed on your machine. This option will reduce the amount of disk space required.

d. Entire feature will be installed to run from network. Choose this option if you would like to run a main feature and all its sub-features on your machine over the network. The software selected will not be installed on your machine. This option will reduce the amount of disk space required.

To turn a feature off for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select the following installation option:

Entire feature will be unavailable. Choose this option if you want to turn this feature off for installation.

Upgrade Information

An upgrade of 10.1, 10.2, 10.2.1 or 10.2.2 will not allow you to select or change the installation location. The installation parent location for an upgrade installation is retained and the software is installed to {parent folder}\{Argis Product}10.3. For example, if ArcGIS 10.2 for Desktop was installed to D:\MyGIS\ArcGIS\Desktop10.2, the 10.3 installation folder will be D:\MyGIS\ArcGIS\Desktop10.3. If you need to install to a different location , manually remove 10.1, 10.2, 10.2.1 or 10.2.2 before starting the 10.3 installation. For more information, refer to the Installation Guide for your ArcGIS product.


Using the Add/Remove Application

The ArcGIS Add/Remove Application provides two uninstall options:

· Add/Remove - Use this option to choose individual components, to be added or removed from your machine.

· Remove All - Select this option to completely uninstall the application and all its components.


IMSNET_FeatureDependencies

Feature Dependencies

Certain features in ArcIMS Web ADF for the Microsoft .NET Framework require Windows components or other software to be installed. If those requirements are not met, the feature will not be available for installation. Once the necessary prerequisites are installed, dependent features will become visible. If the features are not available due to missing the dependencies, the installation process will complete successfully without installing any unavailable features.

Detailed below are features that require Windows components or other software to be installed, as well the dependencies needed.

ArcIMS Web Manager

  • The ArcIMS Web Manager feature requires Microsoft Internet Information Services (IIS). Supported IIS versions are 5.0, 6.0, 7.0. Specific IIS components are required when performing an installation on Windows Vista or Windows Server 2008. Please refer to the installation guide, Step 1: Verify system requirements -> Feature dependencies topic, for more information.

Visual Studio 2005 Integration

  • The Visual Studio 2005 Integration feature requires Microsoft Visual Studio 2005. Supported Visual Studio 2005 editions are Standard and Professional.

Visual Studio 2008 Integration

  • The Visual Studio 2008 Integration feature requires Microsoft Visual Studio 2008. Supported Visual Studio 2008 editions are Standard and Professional.

Visual Studio Express Integration

  • The Visual C# 2005 Express Edition Integration feature of the ArcIMS Web ADF for the Microsoft .NET Framework setup, requires Microsoft Visual C# 2005 Express Edition to be installed.

  • The Visual Basic 2005 Express Edition Integration feature of the ArcIMS Web ADF for the Microsoft .NET Framework setup, requires Microsoft Visual Basic 2005 Express Edition to be installed.

  • The Visual Web Developer 2005 Express Edition Integration feature of the ArcIMS Web ADF for the Microsoft .NET Framework setup, requires Microsoft Visual Web Developer 2005 Express Edition to be installed.

  • The Visual C# 2008 Express Edition Integration feature of the ArcIMS Web ADF for the Microsoft .NET Framework setup, requires Microsoft Visual C# 2008 Express Edition to be installed.

  • The Visual Basic 2008 Express Edition Integration feature of the ArcIMS Web ADF for the Microsoft .NET Framework setup, requires Microsoft Visual Basic 2008 Express Edition to be installed.

  • The Visual Web Developer 2008 Express Edition Integration feature of the ArcIMS Web ADF for the Microsoft .NET Framework setup, requires Microsoft Visual Web Developer 2008 Express Edition to be installed.

For more information, refer to the Feature dependencies topic in the ArcIMS Web ADF for the Microsoft .NET Framework installation guide. The topic can be found under Step 1: Verify system requirements.


IMSNET_Manager

ArcIMS Web Manager

The ArcIMS Web Manager port number dialog provides the ability to create ArcIMS Web Manager on any existing Web sites on your IIS Web Server. Enter a port number that is already being used by an existing Web site on your IIS Web Server.

Port number for the ArcIMS Web Manager Web site instance

Insert the port number of the Web site on which you would like the ArcIMS Web Manager instance to reside. Valid port numbers are port numbers already in use by existing Web sites on your IIS Web Server. The default value pre-populated in the port number entry box is determined by your IIS configuration.

If your Web site uses Headers

The installation process supports Web sites with Headers. However, manual configuration of ArcIMS Web Manager is required after the installation has completed. See the ArcIMS Web ADF for the .NET Framework installation guide for more information.

Note: A valid port number must be entered before the installation process can continue. The default value pre-populated in the port number entry box will correctly configure ArcIMS Web Manager, if unsure.

See the ArcIMS Web ADF for the .NET Framework installation guide for more information.


ArcGIS Web Applications Manager instance name

ArcGIS Web Applications Manager Instance

Enter the name of the ArcGIS Web Applications Manager instance into the text box. The value entered for instance name is used to create an instance of ArcGIS Web Applications Manager on your IIS Web server. The default value is ArcGIS. The instance name cannot contain spaces.

See the installation guide for more information.


Portal for ArcGIS account

Specify the Portal for ArcGIS account

The account specified here will be used by the ArcGIS for Portal application server and database services. There are two potential options for specifying the Portal for ArcGIS account: Use Local System account and Specify the account name and password. If both the data and content directories are local to this machine, the Use Local System account will not be available.

The Portal for ArcGIS account, Local System or other, will be used by the Portal for ArcGIS application server and database service.

Use Local System account

This option is only available if both data and content directories are local directories. If the Use Local System account option is not available, the data and/or content directory are located on a network share.

Specify the account name and password

Select this option if the data directory or content directory are located on another machine. The account specified must be an existing user account and must also be a member of the Administrators group on this machine. If the account is not a member of the Administrators group, or if the account does not exist, you will receive a prompt and the installation will not proceed until an existing administrator account is specified. The account can a local user account or a domain user account. The default account specified is the installing user's account.

The user account specified must have Full Control permissions on the data and content directories. These permissions may need to be set manually.


Portal for ArcGIS content directory

Specify Portal for ArcGIS directories

The Portal for ArcGIS database service uses a directory to store user generated content, as well as the default content installed by Portal for ArcGIS. This directory can be local or a network share. The directory specified, and acompanying content, will remain on the machine after Portal for ArcGIS has been uninstalled, enabling subsequent Portal for ArcGIS installations to use existing content.

Using existing content

If Portal for ArcGIS has been installed previously, you are prompted to use existing content. You also have the option to browse to a new directory to store content.


Portal for ArcGIS data directory

Specify Portal for ArcGIS directories

The Portal for ArcGIS database service uses a directory to store database tables, logs, and indexes. This directory can be local or a network share. The directory specified, and acompanying data, will remain on the machine after Portal for ArcGIS has been uninstalled, enabling subsequent Portal for ArcGIS installations to use existing data that have already been configured.

Using existing data

If Portal for ArcGIS has been installed previously, you are prompted to use existing data. You also have the option to browse to a new directory to store data.


Portal for ArcGIS installation directory

Installation directory

Specify the Portal for ArcGIS installation directory. The default location is C:\Program files\ArcGIS\Portal. There is only one feature available for installation: Portal for ArcGIS. The Portal for ArcGIS feature includes the application server, database, and content necessary to support a fully functional Portal for ArcGIS.

Note: Portal for ArcGIS content and data are not stored in this installation directory. You will be prompted to specify separate directories for content and data, or accept the default location.


Select ArcGIS Language Pack Shortcut

Specify the language for Portal for ArcGIS help shortcuts

The Portal for ArcGIS Help Language Pack setup installs localized help files for all supported languages. The language specific help shortcut will only be created for the language chosen in the dropdown menu.

To change the shortcut language, uninstall the Portal for ArcGIS Help Language Pack, install again and choose another.


prompt_for _elevation

Feature Dependencies

Certain features in ArcGIS Server for the Microsoft .NET Framework require Windows components or other software to be installed. If those requirements are not met, the feature will not be available for installation. Once the necessary prerequisites are installed, dependent features will become visible. If the features are not available due to missing the dependencies, the installation process will complete successfully without installing any unavailable features.

Detailed below are features that require Windows components or other software to be installed, as well the dependencies needed.

Web Applications

  • The Web Applications feature requires Microsoft Internet Information Services (IIS). Supported IIS versions are 5.0, 6.0, 7.0.

Visual Studio 2005 Integration

  • The Visual Studio 2005 Integration feature requires Microsoft Visual Studio 2005. Supported Visual Studio 2005 editions are Standard and Professional.

Visual Studio 2008 Integration

  • The Visual Studio 2008 Integration feature requires Microsoft Visual Studio 2008. Supported Visual Studio 2008 editions are Standard and Professional.

Visual Studio Express Integration

  • The Visual C# 2005 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual C# 2005 Express Edition to be installed.

  • The Visual Basic 2005 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual Basic 2005 Express Edition to be installed.

  • The Visual Web Developer 2005 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual Web Developer 2005 Express Edition to be installed.

  • The Visual C# 2008 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual C# 2008 Express Edition to be installed.

  • The Visual Basic 2008 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual Basic 2008 Express Edition to be installed.

  • The Visual Web Developer 2008 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual Web Developer 2008 Express Edition to be installed.

For more information, refer to the Feature dependencies topic in the ArcGIS Server for the Microsoft .NET Framework installation guide. The topic can be found under Step 1: Verify system requirements.


ArcGIS Spatial Data Server virtual directory name

Enter the virtual directory name for the Spatial Data Server

Enter the virtual directory name for the Spatial Data Server into the text box. The value entered is used to create a virtual directory for the Spatial Data Server on your IIS Web server. The default value is arcgis. The instance name cannot contain spaces.

See the installation guide for more information.


Select an instance

Select an instance from the list of existing ArcGIS Server instances. Instances are listed by instance name, Web site where the instance is installed, and the port number for that Web site. For example:

Name = ArcGIS; Website = Default Web Site; Port = 80

See the ArcGIS Server for the Microsoft .NET Framework installation guide for more information.


Select a Web site

Select a Web site. Available Web sites are presented as <Web site name> (port number). For example, Default Web Site (80). If you are unsure which Web site to select, contact your system administrator.

See the installation guide for more information.


Select a Web site

Select a Web site for the ASP.NET client files. The available Web sites are presented as <Web site name> (port number). For example, Default Web Site (80). If you are unsure which Web site to select, contact your system administrator.

ASP.NET client files should be installed to the same Web site as your Web Mapping Application.


Installing Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0

Installing 64-bit versions of Python 2.7.8, Numerical Python 1.7.1, Pyparsing 1.5.7 and Matplotlib 1.3.0

ArcGIS for Server requires 64-bit Python 2.7.8, 64-bit Numerical Python 1.7.1, 64-bit Pyparsing 1.5.7 and 64-bit Matplotlib 1.3.0 to support certain core Geoprocessing tools. If 64-bit Python 2.7.8, 64-bit Numerical Python 1.7.1, 64-bit Pyparsing 1.5.7 and 64-bit Matplotlib 1.3.0 are not found, the ArcGIS for Server setup will automatically install them for you.

If 64-bit Python 2.7.8, 64-bit Numerical Python 1.7.1, 64-bit Pyparsing 1.5.7 and 64-bit Matplotlib 1.3.0 are installed by ArcGIS for Server, the ArcGIS for Server uninstall process will also uninstall 64-bit Python 2.7.8, 64-bit Numerical Python 1.7.1, 64-bit Pyparsing 1.5.7 and 64-bit Matplotlib 1.3.0.


Export server configuration file

If you intend to perform multiple ArcGIS for Server installations, select the 'Export configuration file' option. Browse to a location of your choosing and provide a name for the configuration file. The account information provided in the previous dialog will be saved and exported to the file specified. While the account password information in the configuration fileis encrypted, the file should be placed in a properly secured location.

An exported server configuration file can be used to:

1) Create the same ArcGIS Server account when installing on multiple machines.
2) Store the account for use when upgrading to a newer version.
3) Perform a silent install where the username and password is encrypted.

See the ArcGIS for Server installation guide for more information.

Changing the account after installation

The ArcGIS Server account can be changed at a later time by running the ArcGIS Server Account Configuration utility. The utility is available from the Windows Start menu under ArcGIS > ArcGIS 10.3 for Server > Configure ArcGIS Server Account. When prompted, enter the name and password for the account that will be used by the ArcGIS Server. The option is available to save a configuration file with this information to speed up the configuration process on other ArcGIS for Server machines and reduce the chance of inadvertently typing a wrong name or password. While the account password is encrypted, be sure to store the configuration file in a secure location.

See the ArcGIS for Server installation guide for more information.


server_net_selecting_arcgis_features_for_installation

Supported Visual Studio Editions

Supported Visual Studio 2010 editions are Professional, Premium, Ultimate, Test Professional, Visual Web Developer 2010 Express.

Selecting ArcGIS Features for Installation

You have a series of choices to make when performing a custom installation. You can select and view the properties of each feature as well as turn features on or off for installation. A software feature is a logical collection of functionality you can choose to install.

Many features are a collection of sub-features. Features consisting of sub-features will have a + or a - sign to their left. The + sign will expand the feature so that you can view its collection of sub-features. The - sign will collapse the list of sub-features.

To view sub-features and their feature description:

1. To expand the feature and view its sub-features, click the + sign to the left of the feature name.

2. Highlight the feature or the sub-feature to view its feature description.

To turn a feature on for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select your installation option. You have two installation options:

a. Will be installed on local hard drive. Choose this option if you would like to install specific sub-features.

b. Entire feature will be installed in local hard drive. Choose this option if you would like to install a main feature and all of its sub-features.


Specify the ArcGIS Server account

Specify the account to be used by the ArcGIS Server to perform a variety of functions in support of the GIS server. The default account is a local operating system account named arcgis. The account will be created if it does not already exist. If the account specified already exists, the password entered must be correct or the installation will immediately return an error indicating an incorrect password. The default arcgis account is sufficient for most deployment scenarios.

Domain accounts are also accepted, although local accounts are recommended. If a domain account is specified and does not exist, the installation will immediately return an error.

In a site with multiple ArcGIS for Server installations, each GIS server must use the same ArcGIS Server account. If you've chosen a local account, the local account and password must exist on each GIS server and be identical.

A recommended practice is to choose an ArcGIS Server account with few other privileges on the machine or network. This minimizes the threat to your system if the security of the account is ever compromised.

See the ArcGIS for Server installation guide for more information.

I have a configuration file

If you have a configuration file generated by a previous run of this setup, select this option and browse to the location of the configuration file.

See the ArcGIS for Server installation guide for more information.

Changing the account after installation

The ArcGIS Server account can be changed at a later time by running the ArcGIS Server Account Configuration utility. The utility is available from the Windows Start menu under ArcGIS > ArcGIS 10.3 for Server > Configure ArcGIS Server Account. When prompted, enter the name and password for the account that will be used by the ArcGIS Server. The option is available to save a configuration file with this information to speed up the configuration process on other ArcGIS Server machines and reduce the chance of inadvertently typing a wrong name or password. While the account password is encrypted, be sure to store the configuration file in a secure location.

See the ArcGIS for Server installation guide for more information.


ServerNET_FeatureDependencies

Feature Dependencies

Certain features in ArcGIS Server for the Microsoft .NET Framework require Windows components or other software to be installed. If those requirements are not met, the feature will not be available for installation. Once the necessary prerequisites are installed, dependent features will become visible. If the features are not available due to missing the dependencies, the installation process will complete successfully without installing any unavailable features.

Detailed below are features that require Windows components or other software to be installed, as well the dependencies needed.

Web Applications

  • The Web Applications feature requires Microsoft Internet Information Services (IIS). Supported IIS versions are 5.0, 6.0, 7.0. Specific IIS components are required when performing an installation on Windows Vista or Windows Server 2008. Please refer to the installation guide, Step 1: Verify system requirements -> Feature dependencies topic, for more information.

Visual Studio 2008 Integration

  • The Visual Studio 2008 Integration feature requires Microsoft Visual Studio 2008. Supported Visual Studio 2008 editions are Standard and Professional.

Visual Studio Express Integration

  • The Visual C# 2008 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual C# 2008 Express Edition to be installed.

  • The Visual Basic 2008 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual Basic 2008 Express Edition to be installed.

  • The Visual Web Developer 2008 Express Edition Integration feature of the ArcGIS Server for the Microsoft .NET Framework setup, requires Microsoft Visual Web Developer 2008 Express Edition to be installed.

For more information, refer to the Feature dependencies topic in the ArcGIS Server for the Microsoft .NET Framework installation guide. The topic can be found under Step 1: Verify system requirements.


ServerNET_InstanceInfo

ArcGIS Server Instance

The ArcGIS Server Instance installation dialog offers two configuration options: instance name and port number. The values entered for instance name and port number are used to create an instance of ArcGIS Server Manager on your IIS Web server. The default value for the Instance name is ArcGIS. The default value for the port number is determined by your IIS configuration.

Instance name for the Web Application

Insert the name of ArcGIS Server Manager instance into the text box. The default value is ArcGIS. The instance name cannot contain spaces.

Port number for the Web Application

Insert the port number of the Web site on which you would like the ArcGIS Server Manager instance to reside. Valid port numbers are port numbers already in use by existing Web sites on your IIS Web Server.

If your Web site uses Headers

The installation process supports Web sites with Headers. However, manual configuration of ArcGIS Server Manager is required after the installation has completed. See the ArcGIS Server for the Microsoft .NET Framework installation guide for more information.

Note: A valid port number must be entered before the installation process can continue. The default value pre-populated in the port number entry box will correctly configure ArcGIS Server Manager, if unsure.

See the ArcGIS Server for the Microsoft .NET Framework installation guide for more information.


Services Manager / Web Services

The Services Manager feature adds the ability to create and manage GIS Services and the GIS Server. The Web Services feature adds the ability to host and access GIS Services through SOAP and REST. Both the Services Manager feature and the Web Services feature require Internet Information Services (IIS) to be installed. If IIS is not installed, the Services Manager feature and the Web Services feature will not be available for installation.

Installing IIS on Windows XP and Windows Server 2003

Specific IIS components are required for IIS 7.0 and 7.5. Operating systems with IIS 7.0/7.5 are Microsoft Windows Vista, Windows Server 2008, Windows Server 2008 R2, and Windows 7.

Windows Vista and Windows 7 IIS requirements

Windows Server 2008 (including R2) IIS requirements

The following IIS components must be installed when performing an installation on Windows Vista and Windows 7. If these components are not installed, the Services Manager and Web Services features will not be available for installation.

Internet Information Services

  • Web Management Tools
    • IIS 6 Management Compatibility
      • IIS Metabase and IIS 6 configuration compatibility
    • IIS Management Console
    • IIS Management Scripts and Tools
    • IIS Management Service
  • World Wide Web Services
    • Application Development Features
      • .NET Extensibility
      • ASP.NET
      • ISAPI Extensions
      • ISAPI Filters
    • Common HTTP Features
      • Static Content
    • Security
      • Basic Authentication
      • Request Filtering
      • Windows Authentication

The following Web Server (IIS) components must be installed when performing an installation on Windows Server 2008 and Windows Server 2008 R2. If these components are not installed, the Services Manager and Web Services features will not be available for installation.

Web Server (IIS)

  • Web Server
    • Common HTTP Features
      • Static Content
    • Application Development
      • ASP.NET
      • .NET Extensibility
      • ISAPI Extensions
      • ISAPI Filters
    • Security
      • Basic Authentication
      • Windows Authentication
      • Request Filtering
  • Management Tools
    • IIS Management Console
    • IIS Management Scripts and Tools
    • Management Service
    • IIS 6 Management Compatibility
      • IIS 6 Metabase Compatibility

Installing IIS on Windows XP and Windows Server 2003

Windows Server 2003: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Application Server component -> Next.

Windows XP: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Internet Information Services (IIS) component -> Next.


ArcGIS Viewer for Microsoft Silverlight

Internet Information Services (IIS) requirements

Specific IIS components are required for IIS 7.0 and 7.5. Operating systems with IIS 7.0/7.5 are Microsoft Windows Vista, Windows Server 2008, Windows Server 2008 R2, and Windows 7.

Windows Vista and Windows 7 IIS requirements

Windows Server 2008 (including R2) IIS requirements

Installing IIS on Windows XP and Windows Server 2003

The following IIS components must be installed when performing an installation on Windows Vista and Windows 7. If these components are not installed, the Application Builder feature will not be available for installation.

Internet Information Services

  • Web Management Tools
    • IIS Management Console
  • World Wide Web Services
    • Application Development Features
      • ASP.NET
    • Common HTTP Features
      • Static Content

The following Web Server (IIS) components must be installed when performing an installation on Windows Server 2008 and Windows Server 2008 R2. If these components are not installed, the Application Builder feature will not be available for installation.

Web Server (IIS)

  • Web Server
    • Common HTTP Features
      • Static Content
    • Application Development
      • ASP.NET
    • Management Tools
      • IIS Management Console

Installing IIS on Windows XP and Windows Server 2003

Windows Server 2003: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Application Server component -> Next.

Windows XP: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Internet Information Services (IIS) component -> Next.


ArcGIS Viewer for Microsoft Silverlight

ArcGIS Viewer for Microsoft Silverlight installation requirements

All listed prerequisites must be installed for the ArcGIS Viewer for Microsoft Silverlight installation to proceed. Prerequisites marked with an 'X' indicate that specific component has not been detected. Please click Exit and install the missing prerequisite(s). After the missing prequisites have been installed, launch the ArcGIS Viewer for Microsoft Silverlight Viewer installation again. Prerequisites marked with a checkmark indicate that specific component has been detected. If all prerequisites are found, click Install to proceed with the installation.

The following operating system requirements must be met for the ArcGIS Viewer for Microsoft Silverlight installation to proceed:
  1. Microsoft .NET Framework. Supported versions are 3.0 Service Pack 1, 3.5 Service Pack 1, 4.0. Only one of the supported versions is required. However, multiple versions can be installed without adversely affecting functionality.

  2. Internet Information Services (IIS). See below for full IIS requirements.

Internet Information Services (IIS) requirements

Specific IIS components are required for IIS 7.0 and 7.5. Operating systems with IIS 7.0/7.5 are Microsoft Windows Vista, Windows Server 2008, Windows Server 2008 R2, and Windows 7.

Windows Vista and Windows 7 IIS requirements

Windows Server 2008 (including R2) IIS requirements

Installing IIS on Windows XP and Windows Server 2003

The following IIS components must be installed when performing an installation on Windows Vista and Windows 7. If these components are not installed, the Application Builder feature will not be available for installation.

Internet Information Services

  • Web Management Tools
    • IIS Management Console
  • World Wide Web Services
    • Application Development Features
      • ASP.NET
    • Common HTTP Features
      • Static Content

The following Web Server (IIS) components must be installed when performing an installation on Windows Server 2008 and Windows Server 2008 R2. If these components are not installed, the Application Builder feature will not be available for installation.

Web Server (IIS)

  • Web Server
    • Common HTTP Features
      • Static Content
    • Application Development
      • ASP.NET
    • Management Tools
      • IIS Management Console

Installing IIS on Windows XP and Windows Server 2003

Windows Server 2003: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Application Server component -> Next.

Windows XP: Go to Start -> Control Panel -> Add or Remove Programs -> Add/Remove Windows Components. Click the checkbox for the Internet Information Services (IIS) component -> Next.


Selecting tutorial features for installation

You have a series of choices to make when performing a custom installation. You can select and view properties of each feature as well as turn features on or off for installation. A software feature is a logical collection of functionality you can choose to install. A feature may consist of a collection of sub-features. An example feature is ArcGIS Tutorial Data, which consists of a collection of sub-features such as individual tutorial data samples.

Many features are a collection of sub-features. Features consisting of sub-features will have a + or a - sign to their left. The + sign will expand the feature so that you can view its collection of sub-features. The - sign will collapse the list of sub-features.

To view sub-features and their feature description:

1. To expand the feature and view its sub-features, click the + sign to the left of the feature name.

2. Highlight the feature or the sub-feature to view its feature description.

To turn a feature on for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select your installation option. You have two installation options:

a. Will be installed on local hard drive. Choose this option if you would like to install specific sub-features.

b. Entire feature will be installed in local hard drive. Choose this option if you would like to install a main feature and all of its sub-features.

To turn a feature off for installation:

1. Click on the dropdown arrow to the left of the feature or sub-feature.

2. From the list select the following installation option:

Entire feature will be unavailable. Choose this option if you want to turn this feature off for installation.


10.2 Installation Help

ArcGIS 9.x and 10.0 users

You must uninstall all ArcGIS products prior to 10.1 and any third-party extensions or tools from your machine before proceeding with this ArcGIS 10.3 installation. An Uninstall Utility is available to assist you in locating and removing existing ArcGIS Software. Search for "Uninstall Utility" under Downloads > Samples & Utilities on the Customer Care site.


10.3 Installation Help

ArcGIS 10.1, 10.2, 10.2.1 and 10.2.2 users (including 10.1 SP1)

This setup is designed to detect and upgrade an existing installation of the ArcGIS 10.1, 10.2, 10.2.1 or 10.2.2 product. You must upgrade or remove any additional ArcGIS 10.1, 10.2, 10.2.1 or 10.2.2 products and then run this setup again.


Visual Studio 2008 Integration

The Visual Studio 2008 Integration feature integrates Web Controls, Templates and Developer Help with supported editions of Visual Studio 2008 Service Pack 1.

Service Pack 1 for Visual Studio 2008 is required. Supported Visual Studio 2008 editions are Visual Studio 2008 Standard, Professional, Visual Web Developer 2008 Express.

If a supported installation of Visual Studio Service Pack 1 is not found, the Visual Studio 2008 Integration feature will not be available for installation.

The Visual Studio 2008 edition installed will determine which Visual Studio Integration feature(s) will be available. For Example, if Visual Web Developer 2008 Express Service Pack 1 is installed, the Visual Web Developer 2008 Express Integration feature will be available for installation.


Visual Studio 2010 Integration

The Visual Studio 2010 Integration feature integrates Web controls, templates and Developer Help with supported Visual Studio 2010 Editions.

Supported Visual Studio 2010 editions are Visual Studio 2010 Professional, Premium, Ultimate, Test Professional, Visual Web Developer 2010 Express.

If a supported installation of Visual Studio Service 2010 is not found, the Visual Studio 2010 Integration feature will not be available for installation.

The Visual Studio 2010 edition installed will determine which Visual Studio Integration feature(s) will be available. For Example, if Visual Web Developer 2010 Express is installed, the Visual Web Developer 2010 Express Integration feature will be available for installation.


Specify the name of the ArcGIS Web Adaptor

Enter the name of the ArcGIS Web Adaptor into the text box. The value entered is used to create an instance of the ArcGIS Web Adaptor on your IIS Web server. The default value is arcgis. The instance name cannot contain spaces.

See the installation guide for more information.